Announcement Announcement Module
Collapse
No announcement yet.
I can't run my Roo project Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • I can't run my Roo project

    Hello! I've been reading Getting started with Roo and I've tried to follow with a similar project. The result is my project is deployed in spring-insight-instance\wtpwebapps folder but I get 404 error when I try http://localhost:8080/vocabulary/terms.

    This is log.roo:
    // Spring Roo 1.1.5.RELEASE [rev d3a68c3] log opened at 2011-11-30 22:48:05
    project --topLevelPackage com.jonasurbano --projectName vocabulary --java 6
    // Spring Roo 1.1.5.RELEASE [rev d3a68c3] log closed at 2011-11-30 22:48:07
    // Spring Roo 1.1.5.RELEASE [rev d3a68c3] log opened at 2011-11-30 22:48:11
    pgp trust --keyId 0x29C2D8FD
    addon search graph
    osgi obr url add --url http://spring-roo-addon-graph.google...repository.xml
    osgi obr start --bundleSymbolicName org.springframework.datastore.neo4j.roo.addon
    osgi obr url remove --url http://spring-roo-addon-graph.google...repository.xml
    addon install id --searchResultId 01
    graph setup --provider NEO4J --databaseLocation vocabulary.db
    graph entity --class ~.model.Term
    field string term
    field string meaning
    field date --type java.util.Date --fieldName appearingDate
    field string pronnounciation
    field string foundIn
    field boolean known
    field string mainTopic
    graph entity --class ~.model.Topic
    field string topic
    graph relationship --from ~.model.Term --to ~.model.Topic --fieldName relatedTopics --cardinality ONE_TO_MANY
    controller scaffold --entity ~.domain.Term --class ~.web.TermController

    The output window doesn't show any error, however I get this error from Topic.java:
    The type org.neo4j.graphdb.Node cannot be resolved. It is indirectly referenced from required .class files

    and this another one is from applicationContext-graph.xml:
    Error occured processing XML 'org/neo4j/kernel/EmbeddedGraphDatabase'. See Error Log for more details.


    I've looked into neo4j library which is imported by Maven and this doesn't contain EmbeddedGraphDatabase, I think I should change the Maven dependency to 1.5 version, but I don't know whether it's the reason why I can't run my project.

    I think the project should run fine because I've followed the same steps described in Getting Started with Roo.

    Could you help me?
    Thanks a lot!

  • #2
    Any answer or solution discovered

    I am having a similar problem. I have added the neo4j recommended repository and dependency. But still get that same error.

    Comment

    Working...
    X